# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88"
name = "schwab"
version = "0.1.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Unofficial Rust client library for the Schwab API, unaffiliated with Schwab brokerage or thinkorswim"
homepage = "https://github.com/major/schwab-rs"
readme = "README.md"
keywords = [
    "schwab",
    "trading",
    "finance",
    "api-client",
]
categories = [
    "api-bindings",
    "finance",
]
license = "Apache-2.0"
repository = "https://github.com/major/schwab-rs"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
decimal = ["dep:rust_decimal"]
test_online = []

[lib]
name = "schwab"
path = "src/lib.rs"

[[example]]
name = "auth"
path = "examples/auth.rs"

[[example]]
name = "quotes"
path = "examples/quotes.rs"

[[test]]
name = "integration"
path = "tests/integration.rs"

[dependencies.base64]
version = "0.22.1"

[dependencies.rand]
version = "0.10.0"

[dependencies.rcgen]
version = "0.14.0"

[dependencies.reqwest]
version = "0.13.3"
features = [
    "form",
    "json",
    "query",
    "rustls",
]
default-features = false

[dependencies.rust_decimal]
version = "1.37"
features = ["serde-with-float"]
optional = true

[dependencies.rustls]
version = "0.23.35"
features = [
    "ring",
    "std",
]
default-features = false

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.145"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio]
version = "1.48.0"
features = [
    "rt",
    "sync",
]

[dependencies.tracing]
version = "0.1"

[dependencies.urlencoding]
version = "2.1.3"

[dev-dependencies.assert-json-diff]
version = "2"

[dev-dependencies.mockito]
version = "1"

[dev-dependencies.tokio]
version = "1.48.0"
features = [
    "macros",
    "rt-multi-thread",
]
